IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/32
Addresses2^96
/64 networks2^32
- Network
2002:92::/32- First address
2002:92::- Last address
2002:92:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 79,228,162,514,264,337,593,543,950,336 (2^96)
- /64 networks (LANs)
- 4,294,967,296
- Full form
2002:0092:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
2.9.0.0.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:92::/32 makes 65,536 subnets of /48; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:92::/48 | 2002:92:0:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:92:1::/48 | 2002:92:1:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:92:2::/48 | 2002:92:2:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:92:3::/48 | 2002:92:3:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:92:4::/48 | 2002:92:4:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:92:5::/48 | 2002:92:5:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:92:6::/48 | 2002:92:6:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:92:7::/48 | 2002:92:7:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:92:8::/48 | 2002:92:8:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:92:9::/48 | 2002:92:9:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:92:a::/48 | 2002:92:a:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:92:b::/48 | 2002:92:b:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:92:c::/48 | 2002:92:c:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:92:d::/48 | 2002:92:d:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:92:e::/48 | 2002:92:e:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:92:f::/48 | 2002:92:f:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:92:10::/48 | 2002:92:10:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:92:11::/48 | 2002:92:11:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:92:12::/48 | 2002:92:12:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:92:13::/48 | 2002:92:13:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:92:14::/48 | 2002:92:14:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:92:15::/48 | 2002:92:15:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:92:16::/48 | 2002:92:16:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:92:17::/48 | 2002:92:17:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:92:18::/48 | 2002:92:18:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:92:19::/48 | 2002:92:19:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:92:1a::/48 | 2002:92:1a:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:92:1b::/48 | 2002:92:1b:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:92:1c::/48 | 2002:92:1c:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:92:1d::/48 | 2002:92:1d:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:92:1e::/48 | 2002:92:1e:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:92:1f::/48 | 2002:92:1f:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:92:20::/48 | 2002:92:20:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:92:21::/48 | 2002:92:21:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:92:22::/48 | 2002:92:22:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:92:23::/48 | 2002:92:23:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:92:24::/48 | 2002:92:24:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:92:25::/48 | 2002:92:25:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:92:26::/48 | 2002:92:26:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:92:27::/48 | 2002:92:27:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:92:28::/48 | 2002:92:28:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:92:29::/48 | 2002:92:29:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:92:2a::/48 | 2002:92:2a:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:92:2b::/48 | 2002:92:2b:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:92:2c::/48 | 2002:92:2c:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:92:2d::/48 | 2002:92:2d:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:92:2e::/48 | 2002:92:2e:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:92:2f::/48 | 2002:92:2f:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:92:30::/48 | 2002:92:30:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:92:31::/48 | 2002:92:31:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:92:32::/48 | 2002:92:32:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:92:33::/48 | 2002:92:33:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:92:34::/48 | 2002:92:34:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:92:35::/48 | 2002:92:35:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:92:36::/48 | 2002:92:36:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:92:37::/48 | 2002:92:37:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:92:38::/48 | 2002:92:38:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:92:39::/48 | 2002:92:39:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:92:3a::/48 | 2002:92:3a:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:92:3b::/48 | 2002:92:3b:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:92:3c::/48 | 2002:92:3c:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:92:3d::/48 | 2002:92:3d:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:92:3e::/48 | 2002:92:3e:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:92:3f::/48 | 2002:92:3f:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:92:40::/48 | 2002:92:40:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:92:41::/48 | 2002:92:41:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:92:42::/48 | 2002:92:42:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:92:43::/48 | 2002:92:43:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:92:44::/48 | 2002:92:44:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:92:45::/48 | 2002:92:45:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:92:46::/48 | 2002:92:46:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:92:47::/48 | 2002:92:47:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:92:48::/48 | 2002:92:48:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:92:49::/48 | 2002:92:49:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:92:4a::/48 | 2002:92:4a:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:92:4b::/48 | 2002:92:4b:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:92:4c::/48 | 2002:92:4c:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:92:4d::/48 | 2002:92:4d:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:92:4e::/48 | 2002:92:4e:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:92:4f::/48 | 2002:92:4f:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:92:50::/48 | 2002:92:50:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:92:51::/48 | 2002:92:51:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:92:52::/48 | 2002:92:52:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:92:53::/48 | 2002:92:53:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:92:54::/48 | 2002:92:54:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:92:55::/48 | 2002:92:55:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:92:56::/48 | 2002:92:56:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:92:57::/48 | 2002:92:57:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:92:58::/48 | 2002:92:58:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:92:59::/48 | 2002:92:59:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:92:5a::/48 | 2002:92:5a:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:92:5b::/48 | 2002:92:5b:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:92:5c::/48 | 2002:92:5c:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:92:5d::/48 | 2002:92:5d:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:92:5e::/48 | 2002:92:5e:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:92:5f::/48 | 2002:92:5f:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:92:60::/48 | 2002:92:60:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:92:61::/48 | 2002:92:61:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:92:62::/48 | 2002:92:62:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:92:63::/48 | 2002:92:63:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:92:64::/48 | 2002:92:64:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:92:65::/48 | 2002:92:65:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:92:66::/48 | 2002:92:66:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:92:67::/48 | 2002:92:67:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:92:68::/48 | 2002:92:68:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:92:69::/48 | 2002:92:69:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:92:6a::/48 | 2002:92:6a:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:92:6b::/48 | 2002:92:6b:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:92:6c::/48 | 2002:92:6c:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:92:6d::/48 | 2002:92:6d:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:92:6e::/48 | 2002:92:6e:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:92:6f::/48 | 2002:92:6f:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:92:70::/48 | 2002:92:70:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:92:71::/48 | 2002:92:71:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:92:72::/48 | 2002:92:72:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:92:73::/48 | 2002:92:73:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:92:74::/48 | 2002:92:74:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:92:75::/48 | 2002:92:75:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:92:76::/48 | 2002:92:76:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:92:77::/48 | 2002:92:77:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:92:78::/48 | 2002:92:78:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:92:79::/48 | 2002:92:79:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:92:7a::/48 | 2002:92:7a:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:92:7b::/48 | 2002:92:7b:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:92:7c::/48 | 2002:92:7c:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:92:7d::/48 | 2002:92:7d:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:92:7e::/48 | 2002:92:7e:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:92:7f::/48 | 2002:92:7f:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:92:80::/48 | 2002:92:80:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:92:81::/48 | 2002:92:81:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:92:82::/48 | 2002:92:82:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:92:83::/48 | 2002:92:83:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:92:84::/48 | 2002:92:84:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:92:85::/48 | 2002:92:85:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:92:86::/48 | 2002:92:86:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:92:87::/48 | 2002:92:87:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:92:88::/48 | 2002:92:88:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:92:89::/48 | 2002:92:89:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:92:8a::/48 | 2002:92:8a:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:92:8b::/48 | 2002:92:8b:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:92:8c::/48 | 2002:92:8c:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:92:8d::/48 | 2002:92:8d:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:92:8e::/48 | 2002:92:8e:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:92:8f::/48 | 2002:92:8f:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:92:90::/48 | 2002:92:90:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:92:91::/48 | 2002:92:91:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:92:92::/48 | 2002:92:92:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:92:93::/48 | 2002:92:93:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:92:94::/48 | 2002:92:94:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:92:95::/48 | 2002:92:95:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:92:96::/48 | 2002:92:96:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:92:97::/48 | 2002:92:97:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:92:98::/48 | 2002:92:98:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:92:99::/48 | 2002:92:99:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:92:9a::/48 | 2002:92:9a:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:92:9b::/48 | 2002:92:9b:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:92:9c::/48 | 2002:92:9c:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:92:9d::/48 | 2002:92:9d:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:92:9e::/48 | 2002:92:9e:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:92:9f::/48 | 2002:92:9f:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:92:a0::/48 | 2002:92:a0:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:92:a1::/48 | 2002:92:a1:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:92:a2::/48 | 2002:92:a2:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:92:a3::/48 | 2002:92:a3:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:92:a4::/48 | 2002:92:a4:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:92:a5::/48 | 2002:92:a5:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:92:a6::/48 | 2002:92:a6:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:92:a7::/48 | 2002:92:a7:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:92:a8::/48 | 2002:92:a8:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:92:a9::/48 | 2002:92:a9:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:92:aa::/48 | 2002:92:aa:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:92:ab::/48 | 2002:92:ab:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:92:ac::/48 | 2002:92:ac:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:92:ad::/48 | 2002:92:ad:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:92:ae::/48 | 2002:92:ae:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:92:af::/48 | 2002:92:af:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:92:b0::/48 | 2002:92:b0:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:92:b1::/48 | 2002:92:b1:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:92:b2::/48 | 2002:92:b2:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:92:b3::/48 | 2002:92:b3:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:92:b4::/48 | 2002:92:b4:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:92:b5::/48 | 2002:92:b5:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:92:b6::/48 | 2002:92:b6:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:92:b7::/48 | 2002:92:b7:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:92:b8::/48 | 2002:92:b8:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:92:b9::/48 | 2002:92:b9:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:92:ba::/48 | 2002:92:ba:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:92:bb::/48 | 2002:92:bb:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:92:bc::/48 | 2002:92:bc:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:92:bd::/48 | 2002:92:bd:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:92:be::/48 | 2002:92:be:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:92:bf::/48 | 2002:92:bf:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:92:c0::/48 | 2002:92:c0:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:92:c1::/48 | 2002:92:c1:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:92:c2::/48 | 2002:92:c2:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:92:c3::/48 | 2002:92:c3:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:92:c4::/48 | 2002:92:c4:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:92:c5::/48 | 2002:92:c5:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:92:c6::/48 | 2002:92:c6:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:92:c7::/48 | 2002:92:c7:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:92:c8::/48 | 2002:92:c8:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:92:c9::/48 | 2002:92:c9:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:92:ca::/48 | 2002:92:ca:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:92:cb::/48 | 2002:92:cb:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:92:cc::/48 | 2002:92:cc:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:92:cd::/48 | 2002:92:cd:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:92:ce::/48 | 2002:92:ce:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:92:cf::/48 | 2002:92:cf:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:92:d0::/48 | 2002:92:d0:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:92:d1::/48 | 2002:92:d1:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:92:d2::/48 | 2002:92:d2:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:92:d3::/48 | 2002:92:d3:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:92:d4::/48 | 2002:92:d4:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:92:d5::/48 | 2002:92:d5:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:92:d6::/48 | 2002:92:d6:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:92:d7::/48 | 2002:92:d7:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:92:d8::/48 | 2002:92:d8:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:92:d9::/48 | 2002:92:d9:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:92:da::/48 | 2002:92:da:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:92:db::/48 | 2002:92:db:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:92:dc::/48 | 2002:92:dc:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:92:dd::/48 | 2002:92:dd:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:92:de::/48 | 2002:92:de:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:92:df::/48 | 2002:92:df:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:92:e0::/48 | 2002:92:e0:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:92:e1::/48 | 2002:92:e1:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:92:e2::/48 | 2002:92:e2:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:92:e3::/48 | 2002:92:e3:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:92:e4::/48 | 2002:92:e4:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:92:e5::/48 | 2002:92:e5:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:92:e6::/48 | 2002:92:e6:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:92:e7::/48 | 2002:92:e7:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:92:e8::/48 | 2002:92:e8:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:92:e9::/48 | 2002:92:e9:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:92:ea::/48 | 2002:92:ea:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:92:eb::/48 | 2002:92:eb:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:92:ec::/48 | 2002:92:ec:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:92:ed::/48 | 2002:92:ed:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:92:ee::/48 | 2002:92:ee:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:92:ef::/48 | 2002:92:ef:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:92:f0::/48 | 2002:92:f0:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:92:f1::/48 | 2002:92:f1:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:92:f2::/48 | 2002:92:f2:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:92:f3::/48 | 2002:92:f3:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:92:f4::/48 | 2002:92:f4:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:92:f5::/48 | 2002:92:f5:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:92:f6::/48 | 2002:92:f6:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:92:f7::/48 | 2002:92:f7:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:92:f8::/48 | 2002:92:f8:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:92:f9::/48 | 2002:92:f9:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:92:fa::/48 | 2002:92:fa:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:92:fb::/48 | 2002:92:fb:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:92:fc::/48 | 2002:92:fc:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:92:fd::/48 | 2002:92:fd:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:92:fe::/48 | 2002:92:fe:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:92:ff::/48 | 2002:92:ff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |